Path::IsDev::Role::HeuristicSet(3)

NAME
Path::IsDev::Role::HeuristicSet - Role for sets of Heuristics.

VERSION
version 1.001003

ROLE REQUIRES

  "modules"
Please provide a method that returns a list of modules that comprise heuristics.

METHODS

  "matches"
Determine if the "HeuristicSet" contains a match.

    if( $hs->matches( $result_object ) ) {
        # one of hs->modules() matched $result_object->path
    }

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.